
#############################################################################
#
# Info class
#

DeclareInfoClass("InfoSpecialExt");

#############################################################################

# one of three examples of a group of derived length 10 and composition
# length 24 of order 2^11 * 3^13; input 1 yields the subgroup of F_{23} 
DeclareGlobalFunction("ExampleDerivedLength10Group");

#############################################################################

# last non-trivial term of lower central series, fails on Abelian groups
DeclareGlobalFunction("lambda");

# last non-trivial term of derived series, fails on Abelian groups
DeclareGlobalFunction("derived");

#############################################################################

# get the operation of the k-th term of the derived series
DeclareGlobalFunction("extractOperation");

# get all admissable module operations for elementary abelian module
DeclareGlobalFunction("moduleOperations");

#############################################################################

# identify groups in which the commutator subgroup of the two last
# non-trivial terms of the derived series is neither of the last two terms
DeclareGlobalFunction("trivialDSE");